Bug 586838 - URLGrabber returns empty hdr object
Summary: URLGrabber returns empty hdr object
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: python-urlgrabber   
(Show other bugs)
Version: 12
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: James Antill
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 573451
TreeView+ depends on / blocked
 
Reported: 2010-04-28 13:01 UTC by Dan Horák
Modified: 2014-01-21 23:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-11 15:45:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
reproducer for the buggy urlgrabber (341 bytes, text/x-python)
2010-04-28 13:01 UTC, Dan Horák
no flags Details

Description Dan Horák 2010-04-28 13:01:29 UTC
Created attachment 409810 [details]
reproducer for the buggy urlgrabber

When the urlopen() method is used it doesn't return the parsed HTTP headers in the hdr property created by the _return_hdr_obj() method. This is in my opinion the real cause for the preupgrade issues with small /boot partitions on F-12.

package version:
python-urlgrabber-3.9.1-4.fc12.noarch

Comment 1 seth vidal 2010-04-28 16:58:54 UTC
fixed in upstream - 

http://yum.baseurl.org/gitweb?p=urlgrabber.git;a=commitdiff;h=e85f27c43f991469db38bad97735ce2c0f7d075d

not yes pushed into a pkg.

Comment 2 seth vidal 2010-05-02 21:13:40 UTC
pushed into pkgs for f12 and f13 in koji - not pushed to stable for either, yet.


Note You need to log in before you can comment on or make changes to this bug.